org.appng.xml.platform

## Class Rule

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ValidationRule
    - - org.appng.xml.platform.Rule

- All Implemented Interfaces:
    Serializable

      public class Rule
      extends ValidationRule
      implements Serializable

  A custom rule supporting any options
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Rule.Option` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`
    `protected List<Rule.Option>` | `option`
    `protected String` | `type`

    - ### Fields inherited from class org.appng.xml.platform.ValidationRule

      `message`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the value of the name property.
    `List<Rule.Option>` | `getOption()` Gets the value of the option property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class org.appng.xml.platform.ValidationRule

      `getMessage, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### option

          protected List<Rule.Option> option

    - #### type

          protected String type

    - #### name

          protected String name

  - ### Constructor Detail

    - #### Rule

          public Rule()

  - ### Method Detail

    - #### getOption

          public List<Rule.Option> getOption()

      Gets the value of the option property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the option property.

      For example, to add a new item, do as follows:

              getOption().add(newItem);

      Objects of the following type(s) are allowed in the list `Rule.Option`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.